package cn.estsh.i3plus.ext.mes.pcn.apiservice.serviceimpl.busi.collect;

import cn.estsh.i3plus.ext.mes.pcn.api.busi.ISxThirdPartyPlcCollectDataStepService;
import cn.estsh.i3plus.pojo.mes.model.StepResult;
import lombok.extern.slf4j.Slf4j;

import java.util.LinkedList;
import java.util.List;

/**
 * 第三方PLC数据采集定时任务---步骤执行---读PLC
 */
@Slf4j
public class SxThirdPartyPlcCollectStepFilterChain implements ISxThirdPartyPlcCollectDataStepService {

    protected String organizeCode;

    private List<ISxThirdPartyPlcCollectDataStepService> stepServiceList = new LinkedList<>();

    public SxThirdPartyPlcCollectStepFilterChain(String organizeCode) {
        this.organizeCode = organizeCode;
    }

    public SxThirdPartyPlcCollectStepFilterChain add(ISxThirdPartyPlcCollectDataStepService stepService) {
        stepServiceList.add(stepService);
        return this;
    }

    @Override
    public StepResult exec(Object ... objs) {



        return null;
    }



}
